PRO GRIDINDEX_TO_LATLON, INDEX, RES, LAT, LON

; For an equal angle earth grid spanning the range -180 to +180 in longitude
; and -90 to +90 in latitude, compute the latitude and longitude of the 
; lower right corner of the 1D grid cell given the 1D grid cell index
; and grid resolution (in degrees).
; The origin of the grid  is at -180W, -90S.

;- Get number of columns in the grid
ncol = floor(360.0 / res)

;- Compute lat and lon
lat = (index / ncol) * float(res) - 90.0
lon = (index mod ncol) * float(res) - 180.0

END
