PRO LATLON_TO_GRIDINDEX, LAT, LON, RES, INDEX

; For an equal angle earth grid spanning the range -180 to +180 in longitude
; and -90 to +90 in latitude, compute the 1D grid cell index corresponding
; to a given latitude, longitude, and grid resolution (all in degrees).
; The origin of the grid  is at -180W, -90S.

;- Get number of columns in the grid
ncol = floor(360.0 / res)

;- Compute grid index
index = ncol * (floor(lat + 90.0) / res) + floor(lon + 180.0) / res

END
